=== tests/CMakeLists.txt ===
ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK)

ADD_UNIT_TEST(test_simpleseqplay test_simpleseqplay.cc)
target_compile_definitions(test_simpleseqplay PRIVATE -DDATA_DIRECTORY="${CMAKE_CURRENT_SOURCE_DIR}")
TARGET_LINK_LIBRARIES(test_simpleseqplay ${PROJECT_NAME} ${Boost_LIBRARIES})

IF(BUILD_PYTHON_INTERFACE)
  ADD_SUBDIRECTORY(python)
ENDIF(BUILD_PYTHON_INTERFACE)
