=== tests/python/CMakeLists.txt ===
ADD_PYTHON_UNIT_TEST("py-oscillator" "tests/python/oscillator.py")
