=== debian/changelog ===
ros-melodic-sot-tools (2.3.2-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Olivier Stasse <ostasse@laas.fr>  Wed, 25 Nov 2020 09:54:52 -0000
