=== debian/control ===
Source: ros-melodic-sot-tools
Section: misc
Priority: optional
Maintainer: Olivier Stasse <ostasse@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, ros-melodic-dynamic-graph-python, ros-melodic-sot-core
Homepage: http://github.com/stack-of-tasks/sot-tools
Standards-Version: 3.9.2

Package: ros-melodic-sot-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-catkin, ros-melodic-dynamic-graph-python, ros-melodic-sot-core
Description: Miscellanous entities for the stack of tasks
