=== tests/python/CMakeLists.txt ===
add_python_unit_test("py-oscillator" "tests/python/oscillator.py")
