=== debian/changelog ===
ros-melodic-sot-tools (2.3.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Wed, 07 Sep 2022 13:23:34 -0000
