=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-sot-tools
 Section: misc
 Priority: optional
-Maintainer: Olivier Stasse <ostasse@laas.fr>
+Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
 Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, ros-melodic-dynamic-graph-python, ros-melodic-sot-core
 Homepage: http://github.com/stack-of-tasks/sot-tools
 Standards-Version: 3.9.2
